Subject: Re: [PATCH] hostap: remove set but not used variable 'copied' in prism2_io_debug_proc_read

From: Kalle Valo <[email-masked]>
Date: Thu, 05 Sep 2019 17:19:56 +0300

zhong jiang <[email-masked]> writes:

> On 2019/9/5 21:45, Kalle Valo wrote:
>> zhong jiang <[email-masked]> writes:
>>
>>> Please ignore the patch.  Because  the hostap_proc.c is marked as 'obsolete'.
>> You mean marked in the MAINTAINERS file? I don't see that as a problem,
>> I can (and should) still apply any patches submitted to hostap driver.
>>
> I  hit the following issue when checking the patch by checkpatch.pl
>
> WARNING: drivers/net/wireless/intersil/hostap/hostap_proc.c is marked
> as 'obsolete' in the MAINTAINERS hierarchy.
> No unnecessary modifications please.
>
> I certainly hope it can be appiled to upstream if the above check doesn't matter.

I have no idea why checkpatch says like that and I'm going to just
ignore that warning. As long as the driver is in the tree I think it
should be improved.

-- 
https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches